import React, {useEffect} from 'react';
import {getArtists, selectArtists} from '../features/artist/artistSlice';
import {useAppDispatch, useAppSelector} from '../store/hooks';
import {useNavigate} from 'react-router-dom';

const HomePage = () => {
	const {artists} = useAppSelector((state) => state.artist);
	const dispatch = useAppDispatch();
	const navigate = useNavigate();

	useEffect(() => {
		dispatch(getArtists());
	}, [dispatch]);

	return (
		<div>
			{artists.map((artist) => {
				return (
					<div key={artist._id}>
						<img
							onClick={() =>
								navigate(
									{pathname: '/albums', search: `?artist=${artist._id}`},
									{state: {artist: artist.name}}
								)
							}
							className="w-48 h-48 object-cover "
							src={`${import.meta.env.VITE_MY_URL}/${artist.photo}`}
							alt={artist.name}
						/>
						<span>{artist.name}</span>
					</div>
				);
			})}
		</div>
	);
};

export default HomePage;
